////////////////////////////////////////////////////////////////////////////////
//  CQ出版社 インターフェース 2008年7月号
//
//  初音ミク（はちゅねみく）・アニメーション
//  画像変換ツール	Copyright(c)2008 Sumio Morioka
//  morioka@fb3.so-net.ne.jp,  http://www002.upp.so-net.ne.jp/morioka/
//
//  本プログラムコードの商業利用，および改変ファイルの二次配布を禁じます．それ以外の
//  利用はとくに制限しませんが，利用によって生じた被害・不利益などに対しては，一切
//  責任を負いませんのでご了承ください．
//
//  また，本プログラムのサンプルとして同梱される初音ミク，はちゅねミク，鏡音リン・レンの
//  画像（フォント・データも含む）は，クリプトン・フューチャー・メディア株式会社
// （http://www.crypton.co.jp）の著作物です．商業利用等については同社へ問い合わせてください．
//
//
// History:
// 1. Original coding by Sumio Morioka, 2008/04/18
//
////////////////////////////////////////////////////////////////////////////////

// bmp2FRfontDlg.h : ヘッダー ファイル
//

#if !defined(AFX_BMP2FRFONTDLG_H__24E9776F_133D_429E_BBB6_5D68D0D00FBB__INCLUDED_)
#define AFX_BMP2FRFONTDLG_H__24E9776F_133D_429E_BBB6_5D68D0D00FBB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// APPENDED
#include "bmp2FRfontMain.h"


/////////////////////////////////////////////////////////////////////////////
// CBmp2FRfontDlg ダイアログ

class CBmp2FRfontDlg : public CDialog
{
// 構築
public:
	CBmp2FRfontDlg(CWnd* pParent = NULL);	// 標準のコンストラクタ

// ダイアログ データ
	//{{AFX_DATA(CBmp2FRfontDlg)
	enum { IDD = IDD_BMP2FRFONT_DIALOG };
	CString	m_infname;
	BOOL	m_bmpgrid;
	BOOL	m_fontrange;
	BOOL	m_pltsw0;
	BOOL	m_pltsw1;
	BOOL	m_pltsw10;
	BOOL	m_pltsw11;
	BOOL	m_pltsw12;
	BOOL	m_pltsw13;
	BOOL	m_pltsw14;
	BOOL	m_pltsw15;
	BOOL	m_pltsw2;
	BOOL	m_pltsw3;
	BOOL	m_pltsw5;
	BOOL	m_pltsw4;
	BOOL	m_pltsw6;
	BOOL	m_pltsw7;
	BOOL	m_pltsw8;
	BOOL	m_pltsw9;
	BOOL	m_fontstart;
	int		m_b0;
	int		m_b1;
	int		m_b10;
	int		m_b11;
	int		m_b12;
	int		m_b13;
	int		m_b14;
	int		m_b15;
	int		m_b2;
	int		m_b3;
	int		m_b4;
	int		m_b5;
	int		m_b6;
	int		m_b7;
	int		m_b8;
	int		m_b9;
	int		m_fontnum;
	int		m_fromx;
	int		m_fromy;
	int		m_g0;
	int		m_g1;
	int		m_g10;
	int		m_g11;
	int		m_g12;
	int		m_g13;
	int		m_g14;
	int		m_g15;
	int		m_g2;
	int		m_g3;
	int		m_g4;
	int		m_g5;
	int		m_g6;
	int		m_g7;
	int		m_g8;
	int		m_g9;
	int		m_r0;
	int		m_r1;
	int		m_r10;
	int		m_r11;
	int		m_r12;
	int		m_r13;
	int		m_r14;
	int		m_r15;
	int		m_r2;
	int		m_r3;
	int		m_r4;
	int		m_r5;
	int		m_r6;
	int		m_r7;
	int		m_r8;
	int		m_r9;
	CString	m_status;
	int		m_tox;
	int		m_toy;
	int		m_forceb;
	int		m_forceg;
	int		m_forceplt;
	int		m_forcer;
	BOOL	m_thru;
	//}}AFX_DATA

// APPENDED
    void set_palette_value(uint8 plt[16][4]);
    void get_palette_value(BMP2FRFONT_DATA *);
//

	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CBmp2FRfontDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV のサポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	HICON m_hIcon;

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CBmp2FRfontDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChangeEditInfile();
	afx_msg void OnButtonInfile();
	afx_msg void OnButtonDefplt();
	afx_msg void OnButtonSetplt();
	afx_msg void OnButtonGenstart();
	afx_msg void OnCheckBmpgrid();
	afx_msg void OnButtonGenhex();
	afx_msg void OnCheckFontstart();
	afx_msg void OnChangeEditFontnum();
	afx_msg void OnCheckFontrange();
	afx_msg void OnChangeEditFromy();
	afx_msg void OnChangeEditFromx();
	afx_msg void OnChangeEditToy();
	afx_msg void OnChangeEditTox();
	afx_msg void OnCheckPltsw0();
	afx_msg void OnCheckPltsw1();
	afx_msg void OnCheckPltsw2();
	afx_msg void OnCheckPltsw3();
	afx_msg void OnCheckPltsw4();
	afx_msg void OnCheckPltsw5();
	afx_msg void OnCheckPltsw6();
	afx_msg void OnCheckPltsw7();
	afx_msg void OnCheckPltsw8();
	afx_msg void OnCheckPltsw9();
	afx_msg void OnCheckPltsw10();
	afx_msg void OnCheckPltsw11();
	afx_msg void OnCheckPltsw12();
	afx_msg void OnCheckPltsw13();
	afx_msg void OnCheckPltsw14();
	afx_msg void OnCheckPltsw15();
	afx_msg void OnChangeEditR0();
	afx_msg void OnChangeEditG0();
	afx_msg void OnChangeEditB0();
	afx_msg void OnChangeEditR1();
	afx_msg void OnChangeEditG1();
	afx_msg void OnChangeEditB1();
	afx_msg void OnChangeEditR2();
	afx_msg void OnChangeEditG2();
	afx_msg void OnChangeEditB2();
	afx_msg void OnChangeEditR3();
	afx_msg void OnChangeEditG3();
	afx_msg void OnChangeEditB3();
	afx_msg void OnChangeEditR4();
	afx_msg void OnChangeEditG4();
	afx_msg void OnChangeEditB4();
	afx_msg void OnChangeEditR5();
	afx_msg void OnChangeEditG5();
	afx_msg void OnChangeEditB5();
	afx_msg void OnChangeEditR6();
	afx_msg void OnChangeEditG6();
	afx_msg void OnChangeEditB6();
	afx_msg void OnChangeEditR7();
	afx_msg void OnChangeEditG7();
	afx_msg void OnChangeEditB7();
	afx_msg void OnChangeEditR8();
	afx_msg void OnChangeEditG8();
	afx_msg void OnChangeEditB8();
	afx_msg void OnChangeEditR9();
	afx_msg void OnChangeEditG9();
	afx_msg void OnChangeEditB9();
	afx_msg void OnChangeEditR10();
	afx_msg void OnChangeEditG10();
	afx_msg void OnChangeEditB10();
	afx_msg void OnChangeEditR11();
	afx_msg void OnChangeEditG11();
	afx_msg void OnChangeEditB11();
	afx_msg void OnChangeEditR12();
	afx_msg void OnChangeEditG12();
	afx_msg void OnChangeEditB12();
	afx_msg void OnChangeEditR13();
	afx_msg void OnChangeEditG13();
	afx_msg void OnChangeEditB13();
	afx_msg void OnChangeEditR14();
	afx_msg void OnChangeEditG14();
	afx_msg void OnChangeEditB14();
	afx_msg void OnChangeEditR15();
	afx_msg void OnChangeEditG15();
	afx_msg void OnChangeEditB15();
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnChangeEditForcer();
	afx_msg void OnChangeEditForceg();
	afx_msg void OnChangeEditForceb();
	afx_msg void OnChangeEditForceplt();
	afx_msg void OnCheckThru();
	afx_msg void OnButtonReadpal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_BMP2FRFONTDLG_H__24E9776F_133D_429E_BBB6_5D68D0D00FBB__INCLUDED_)
